import React, { useEffect, useState, Suspense } from 'react';
import { PageContainer } from '@ant-design/pro-layout';
import api from '../services/api'
const WelcomeReport = React.lazy(() => import('./WelcomeReport'));

export default () => {
  const [isAdmin, setIsAdmin] = useState(null);

  useEffect(() => {
    api.queryCurrent().then((r) => {
      if (r.data) {
        if (r.data.adminType === 1) {
          setIsAdmin(true);
        } else {
          setIsAdmin(false);
        }
      }
    });
  }, []);

  if (isAdmin === null) {
    return <div>Loading...</div>;
  }

  return (
    <PageContainer>
      <Suspense fallback={<div>Loading...</div>}>
        {isAdmin === false && <WelcomeReport />}
      </Suspense>
    </PageContainer>
  );
};
