import { Modal, Form, TreeSelect, Button, Input } from 'antd';


const CreateForm = (props) => {
  return (
    <Modal
      title={props.values.id ? '编辑物料' : '新建物料'}
      width={640}
      bodyStyle={{ padding: '32px 40px 1px 48px' }}
      visible={props.modalVisible}
      onCancel={props.onCancel}
      footer={null}
      maskClosable={false}
      destroyOnClose
    >
      <Form
        layout="horizontal"
        preserve={false}
        labelCol={{
          span: 4,
        }}
        initialValues={props.values}
        onFinish={props.onFinish}
      >
        <Form.Item name="id" hidden={true}>
          <Input />
        </Form.Item>
        <Form.Item name="name" label="物料名称" rules={[{ required: true }]}>
          <Input placeholder='请输入物料名称'/>
        </Form.Item>
        <Form.Item name="code" label="物料编码">
          <Input />
        </Form.Item>
        <Form.Item name="type" label="物料类型">
          <TreeSelect
            disabled={true}
            style={{ width: '100%' }}
            dropdownStyle={{ maxHeight: 400, overflow: 'auto' }}
            treeData={props.typeList}
            placeholder="请选择物料类型"
            treeDefaultExpandAll
            allowClear
          />
        </Form.Item>
        <Form.Item name="stockUint" label="物料单位">
          <TreeSelect
            disabled={true}
            style={{ width: '100%' }}
            dropdownStyle={{ maxHeight: 400, overflow: 'auto' }}
            treeData={props.uintList}
            placeholder="请选择物料单位"
            treeDefaultExpandAll
            allowClear
          />
        </Form.Item>
        <Form.Item>
          <Button htmlType="button" style={{ float: 'right', left: 10 }} onClick={props.onCancel}>
            取消
          </Button>
          <Button type="primary" htmlType="submit" style={{ float: 'right' }}>
            保存
          </Button>
        </Form.Item>
      </Form>
    </Modal>
  )
}

export default CreateForm;