import { Modal, Form, Select, Button, Input } from 'antd';

const CreateForm = (props) => {
  const { TextArea } = Input;
  return (
    <Modal
      title={props.values.id ? '编辑设备' : '新建设备'}
      width={640}
      bodyStyle={{ padding: '32px 40px 1px 48px' }}
      open={props.modalOpen}
      onCancel={props.onCancel}
      footer={null}
      maskClosable={false}
      destroyOnClose
    >
      <Form
        layout="horizontal"
        preserve={false}
        labelCol={{
          span: 4,
        }}
        initialValues={props.values}
        onFinish={props.onFinish}
      >
        <Form.Item name="id" hidden={true}>
          <Input />
        </Form.Item>
        <Form.Item name="storeId" label="门店名称" rules={[{ required: true }]}>
          <Select
            options={props.storeList}
            placeholder="请选择门店名称"
            allowClear
          />
        </Form.Item>
        <Form.Item name="name" label="设备名称" rules={[{ required: true }]}>
          <Input placeholder='请输入设备名称' />
        </Form.Item>
        <Form.Item name="isEnable" label="使用情况" rules={[{ required: true }]}>
          <Select
            options={props.enableList}
            placeholder="请选择使用情况"
            allowClear
          />
        </Form.Item>
        <Form.Item name="remark" label="备注">
          <TextArea rows={4} rules={[{ max: 500 }]} />
        </Form.Item>
        <Form.Item>
          <Button htmlType="button" style={{ float: 'right', left: 10 }} onClick={props.onCancel}>
            取消
          </Button>
          <Button type="primary" htmlType="submit" style={{ float: 'right' }}>
            保存
          </Button>
        </Form.Item>
      </Form>
    </Modal>
  )
}

export default CreateForm;