import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
export default {
  getDevicePage(params) {
    return request(getDataBaseUrl() + '/api/store/getDevicePage', {
      method: 'Post',
      data: params,
    });
  },
  getAllStoreList() {
    return request(getDataBaseUrl() + `/api/store/getAllStoreList`, {
      method: 'Get',
    });
  },
  updateDevice(data) {
    return request(getDataBaseUrl() + '/api/store/updateDevice', {
      method: 'Post',
      data: data,
    });
  },
  deleteDevice(data) {
    return request(getDataBaseUrl() + '/api/store/deleteDevice', {
      method: 'Post',
      data: data,
    });
  },
  getStoreRecipeList(id, isWeight) {
    return request(getDataBaseUrl() + `/api/recipe/getStoreRecipeList?storeId=${id}&isWeight=${isWeight}`, {
      method: 'Get',
    });
  },
  getDeviceRelation(id) {
    return request(getDataBaseUrl() + `/api/store/getDeviceRelation?deviceId=${id}`, {
      method: 'Get',
    });
  },
  setDeviceRelation(data) {
    return request(getDataBaseUrl() + '/api/store/setDeviceRelation', {
      method: 'Post',
      data: data,
    });
  },
  GetBasicRoleCode() {
    return request(getDataBaseUrl() + `/api/roles/getBasicRoleCode`, {
      method: 'Get',
    });
  },
}