import { Modal, Form, Button, Input, InputNumber, Select } from 'antd';

const CreateForm = (props) => {

  return (
    <Modal
      title={props.values.id ? '编辑模版' : '新建模版'}
      width={640}
      bodyStyle={{ padding: '32px 40px 1px 48px' }}
      visible={props.modalVisible}
      onCancel={props.onCancel}
      footer={null}
      maskClosable={false}
      destroyOnClose
    >
      <Form
        layout="horizontal"
        preserve={false}
        labelCol={{
          span: 4,
        }}
        initialValues={props.values}
        onFinish={props.onFinish}
      >
        <Form.Item name="id" hidden={true}>
          <Input />
        </Form.Item>
        <Form.Item name="name" label="模版名称" rules={[{ required: true }]}>
          <Input placeholder='请输入模版名称' />
        </Form.Item>
        <Form.Item name="describe" label="描述">
          <Input placeholder='请输入模版描述' />
        </Form.Item>
        <Form.Item>
          <Button htmlType="button" style={{ float: 'right', left: 10 }} onClick={props.onCancel}>
            取消
          </Button>
          <Button type="primary" htmlType="submit" style={{ float: 'right' }}>
            保存
          </Button>
        </Form.Item>
      </Form>
    </Modal>
  )
}

export default CreateForm;