import { Modal, Form, Select, Button, Input, InputNumber } from 'antd';
import { useEffect, useState } from 'react';

const CreateForm = (props) => {
  const [isWeight, setIsWeight] = useState(false);
  useEffect(() => {
    setIsWeight(props.values.isWeight)
  }, [props.values])
  return (
    <Modal
      title={props.values.id ? '编辑配方' : '新建配方'}
      width={640}
      bodyStyle={{ padding: '32px 40px 1px 48px' }}
      visible={props.modalVisible}
      onCancel={props.onCancel}
      footer={null}
      maskClosable={false}
      destroyOnClose
    >
      <Form
        layout="horizontal"
        preserve={false}
        labelCol={{
          span: 4,
        }}
        initialValues={props.values}
        onFinish={props.onFinish}
      >
        <Form.Item name="id" hidden={true}>
          <Input />
        </Form.Item>
        <Form.Item name="name" label="配方名称" rules={[{ required: true }]}>
          <Input placeholder='请输入配方名称' />
        </Form.Item>
        <Form.Item name="isWeight" label="配方模式" rules={[{ required: true }]}>
          <Select
            options={props.typeList}
            placeholder="请选择配方模式"
            allowClear
            onChange={(e) => { setIsWeight(e) }}
          />
        </Form.Item>
        {isWeight ?
          <Form.Item name="referenceWeight" label="基准克数" >
            <InputNumber style={{ width: 150 }} placeholder='请输入基准克数' />
          </Form.Item> : ""}
        <Form.Item>
          <Button htmlType="button" style={{ float: 'right', left: 10 }} onClick={props.onCancel}>
            取消
          </Button>
          <Button type="primary" htmlType="submit" style={{ float: 'right' }}>
            保存
          </Button>
        </Form.Item>
      </Form>
    </Modal>
  )
}

export default CreateForm;