import { Button, Modal, Form, Switch } from 'antd';


const RepeatForm = (props) => {

  return (
    <Modal
      title='以下配方重复，请选择覆盖或跳过'
      width={500}
      open={props.repeatOpen}
      onCancel={props.onCancel}
      footer={null}
      maskClosable={false}
      destroyOnClose
    >
      <Form
        layout="inline"
        preserve={false}
        onFinish={props.onFinish}
      >
        {Array.isArray(props.values) && props.values.map((t, index) => (
          <div key={index} style={{ marginBottom: '10px', clear: 'both' }}>
            <div style={{ float: 'left', marginRight: '10px' }}>
              <Form.Item name={t.name} label="配方名称">
                <span>{t.name}</span>
              </Form.Item>
            </div>
            <div style={{ float: 'left' }}>
              <Form.Item
                name={t.name}
                label="覆盖或跳过"
                valuePropName="checked"
              >
                <Switch checkedChildren="覆盖" unCheckedChildren="跳过" defaultChecked={false} />
              </Form.Item>
            </div>
          </div>
        ))}
        <Form.Item style={{ textAlign: 'right', marginTop: '10px', float: 'right', width: '100%' }}>
          <Button htmlType="button" style={{ marginRight: '10px' }} onClick={props.onCancel}>
            取消
          </Button>
          <Button type="primary" htmlType="submit">
            保存
          </Button>
        </Form.Item>
      </Form>
    </Modal>
  )
}

export default RepeatForm;