import { Modal, Form, Select, Button, Input, InputNumber } from 'antd';

const CreateForm = (props) => {

  return (
    <Modal
      title={props.values.id ? '编辑版本' : '新建版本'}
      width={640}
      bodyStyle={{ padding: '32px 40px 1px 48px' }}
      visible={props.modalVisible}
      onCancel={props.onCancel}
      footer={null}
      maskClosable={false}
      destroyOnClose
    >
      <Form
        layout="horizontal"
        preserve={false}
        labelCol={{
          span: 4,
        }}
        initialValues={props.values}
        onFinish={props.onFinish}
      >
        <Form.Item name="id" hidden={true}>
          <Input />
        </Form.Item>
        <Form.Item name="recipeId" hidden={true}>
          <Input />
        </Form.Item>
        <Form.Item name="version" label="版本" rules={[{ required: true }]}>
          <InputNumber
            style={{ width: '100%' }}
            placeholder='请输入版本名称'
            parser={value => {
              const integerPart = value.split('.')[0];
              return integerPart.replace(/[^\d]/g, '');
            }} 
            step={1}
          />
        </Form.Item>
        <Form.Item name="describe" label="版本描述" >
          <Input placeholder='请输入版本描述' />
        </Form.Item>
        <Form.Item>
          <Button htmlType="button" style={{ float: 'right', left: 10 }} onClick={props.onCancel}>
            取消
          </Button>
          <Button type="primary" htmlType="submit" style={{ float: 'right' }}>
            保存
          </Button>
        </Form.Item>
      </Form>
    </Modal>
  )
}

export default CreateForm;