import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
export default {
  getRecipeInfoPage(params) {
    return request(getDataBaseUrl() + '/api/recipe/getRecipeInfoPage', {
      method: 'Post',
      data: params,
    });
  },
  updateRecipeInfo(params) {
    return request(getDataBaseUrl() + '/api/recipe/updateRecipeInfo', {
      method: 'Post',
      data: params,
    });
  },
  deleteRecipeInfo(ids, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/deleteRecipeInfo?ids=${ids}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  getRecipeVersionList(recipeId, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/getRecipeVersionList?recipeId=${recipeId}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  updateRecipeVersion(params) {
    return request(getDataBaseUrl() + '/api/recipe/updateRecipeVersion', {
      method: 'Post',
      data: params,
    });
  },
  deleteRecipeVersion(ids, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/deleteRecipeVersion?ids=${ids}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  getRecipeAttributeList(id, autoKey) {
    return request(getDataBaseUrl() + `/api/recipeAttribute/getRecipeAttributeList?recipeVersionId=${id}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  updateRecipeAttribute(data) {
    return request(getDataBaseUrl() + `/api/recipeAttribute/updateRecipeAttribute`, {
      method: 'Post',
      data: data,
    });
  },
  deleteRecipeAttribute(id, type, autoKey) {
    return request(getDataBaseUrl() + `/api/recipeAttribute/deleteRecipeAttribute?id=${id}&type=${type}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  getBaseBatchingList(id, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/getBaseBatchingList?recipeVersionId=${id}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  getAttrBatchingList(id, attrIds, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/getAttrBatchingList?recipeVersionId=${id}&attrIds=${attrIds}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  setRecipeBatching(data) {
    return request(getDataBaseUrl() + `/api/recipe/setRecipeBatching`, {
      method: 'Post',
      data: data,
    });
  },
  getAttrRecipeList(id, valueIds, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/getAttrRecipeList?recipeVersionId=${id}&valueIds=${valueIds}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  deleteRecipeAttr(configId, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/deleteRecipeAttr?configId=${configId}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  getCopyList(autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/getCopyList?autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  getAllRecipeList(autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/getAllRecipeList?autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  getRecipeListWithName(name, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/getRecipeListWithName?name=${name}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  getRepeatRecipeList(names, selectAutoKey, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/getRepeatRecipeList?names=${names}&selectAutoKey=${selectAutoKey}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  copyRecipeList(names, skipNames, newAutoKey, oldAutoKey) {
    return request(getDataBaseUrl() + `/api/recipe/copyRecipeList?names=${names}&skipNames=${skipNames}&newAutoKey=${newAutoKey}&oldAutoKey=${oldAutoKey}`, {
      method: 'Get',
    });
  },
  getMaxVersion(recipeId, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/getMaxVersion?recipeId=${recipeId}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  GetBasicRoleCode() {
    return request(getDataBaseUrl() + `/api/roles/getBasicRoleCode`, {
      method: 'Get',
    });
  },
}