import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
export default {
  getRecipeGroupList(groupTempId, isWeight, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/getRecipeGroupList?groupTempId=${groupTempId}&isWeight=${isWeight}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  updataRecipeGroup(data) {
    return request(getDataBaseUrl() + `/api/recipe/updataRecipeGroup`, {
      method: 'Post',
      data: data,
    });
  },
  deleteRecipeGroup(id, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/deleteRecipeGroup?id=${id}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  getRecipeTemplateCount(id, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/GetRecipeTemplateCount?recipeGroupId=${id}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  getRecipeTemplateList(id, page, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/getRecipeTemplateList?recipeGroupId=${id}&page=${page}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  updateRecipeTemplate(data) {
    return request(getDataBaseUrl() + `/api/recipe/updateRecipeTemplate`, {
      method: 'Post',
      data: data,
    });
  },
  deleteRecipeTemplate(id, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/deleteRecipeTemplate?id=${id}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  addRecipeTemplatePage(data) {
    return request(getDataBaseUrl() + `/api/recipe/addRecipeTemplatePage`, {
      method: 'Post',
      data: data,
    });
  },
  deleteRecipeTemplatePage(recipeGroupId, page, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/deleteRecipeTemplatePage?recipeGroupId=${recipeGroupId}&page=${page}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  getRecipeVersionSelectList(recipeId, isWeight, autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/getRecipeVersionSelectList?recipeId=${recipeId}&isWeight=${isWeight}&autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  getGroupMaxSort(isWeight, autoKey, groupTempId) {
    return request(getDataBaseUrl() + `/api/recipe/getGroupMaxSort?isWeight=${isWeight}&autoKey=${autoKey}&groupTempId=${groupTempId}`, {
      method: 'Get',
    });
  },
  getCopyList(autoKey) {
    return request(getDataBaseUrl() + `/api/recipe/getCopyList?autoKey=${autoKey}`, {
      method: 'Get',
    });
  },
  copyTemplateList(newAutoKey, oldAutoKey, groupTempId) {
    return request(getDataBaseUrl() + `/api/recipe/copyTemplateList?newAutoKey=${newAutoKey}&oldAutoKey=${oldAutoKey}&groupTempId=${groupTempId}`, {
      method: 'Get',
    });
  },
  getTemplateList(select, autoKey, groupTempId) {
    return request(getDataBaseUrl() + `/api/recipe/getTemplateList?select=${select}&autoKey=${autoKey}&groupTempId=${groupTempId}`, {
      method: 'Get',
    });
  },
  GetBasicRoleCode() {
    return request(getDataBaseUrl() + `/api/roles/getBasicRoleCode`, {
      method: 'Get',
    });
  },
}