import { Modal, Form, TreeSelect, Button, Input } from 'antd';

const CreateForm = (props) => {
  const { TextArea } = Input;
  return (
    <Modal
      title={props.values.id ? '编辑门店' : '新建门店'}
      width={640}
      bodyStyle={{ padding: '32px 40px 1px 48px' }}
      open={props.modalOpen}
      onCancel={props.onCancel}
      footer={null}
      maskClosable={false}
      destroyOnClose
    >
      <Form
        layout="horizontal"
        preserve={false}
        labelCol={{
          span: 4,
        }}
        initialValues={props.values}
        onFinish={props.onFinish}
      >
        <Form.Item name="id" hidden={true}>
          <Input />
        </Form.Item>
        <Form.Item name="orgId" label="组织名称" rules={[{ required: true }]}>
          <TreeSelect
            style={{ width: '100%' }}
            dropdownStyle={{ maxHeight: 400, overflow: 'auto' }}
            treeData={props.treeData}
            placeholder="请选择组织名称"
            treeDefaultExpandAll
            allowClear
          />
        </Form.Item>
        <Form.Item name="name" label="门店名称" rules={[{ required: true }]}>
          <Input placeholder='请输入门店名称'/>
        </Form.Item>
        <Form.Item name="header" label="负责人">
          <Input placeholder='请输入负责人'/>
        </Form.Item>
        <Form.Item name="phone" label="手机号">
          <Input placeholder='请输入手机号'/>
        </Form.Item>
        <Form.Item name="position" label="位置">
          <Input placeholder='请输入位置'/>
        </Form.Item>
        <Form.Item name="description" label="描述">
          <TextArea rows={4} rules={[{ max: 500 }]} />
        </Form.Item>
        <Form.Item>
          <Button htmlType="button" style={{ float: 'right', left: 10 }} onClick={props.onCancel}>
            取消
          </Button>
          <Button type="primary" htmlType="submit" style={{ float: 'right' }}>
            保存
          </Button>
        </Form.Item>
      </Form>
    </Modal>
  )
}

export default CreateForm;